1.1
1.1
get /v1/loadbalancers
Description
get Load Balancer list
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | The name of the load balancer. Example : | any of [string, null] | None |
| query | state optional | The state of the load balancer. Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]] | |
| query | service_ip optional | The service IP of the load balancer. Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | layer_type optional | Layer type Example : | any of [enum (L4, L7), array[enum (L4, L7)]] | |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LoadbalancerListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/loadbalancers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loadbalancer 1.1"
Example HTTP response
Response 200
{
"count": 20,
"loadbalancers": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"firewall_id": "",
"id": "",
"layer_type": "",
"listener_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"public_nat_enabled": "",
"service_ip": "",
"source_nat_ip": "",
"state": "",
"subnet_id": "",
"vpc_id": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}